// $URL: http://subversion:8080/svn/gsc/trunk/drivers/LINUX/16HSDI4AO4/include/16hsdi4ao4_dsl.h $
// $Rev: 52564 $
// $Date: 2023-03-08 09:37:22 -0600 (Wed, 08 Mar 2023) $

// 16HSDI4AO4: Document Source Library: header file

#ifndef	__16HSDI4AO4_DSL_H__
#define	__16HSDI4AO4_DSL_H__

#include <stdlib.h>

#include "16hsdi4ao4_api.h"



// prototypes *****************************************************************

int	hsdi4ao4_close_dsl	(int fd);
int	hsdi4ao4_init_dsl	(void);
int	hsdi4ao4_ioctl_dsl	(int fd, int request, void *arg);
int	hsdi4ao4_open_dsl	(int device, int share, int* fd);
int	hsdi4ao4_read_dsl	(int fd, void* dst, size_t bytes, size_t* qty);
int	hsdi4ao4_write_dsl	(int fd, const void* src, size_t bytes, size_t* qty);



#endif
