// $URL: http://subversion:8080/svn/gsc/trunk/drivers/LINUX/16HSDI4AO4/api/open.c $
// $Rev: 49706 $
// $Date: 2021-10-01 17:00:43 -0500 (Fri, 01 Oct 2021) $

// 16HSDI4AO4: API Library: source file

#include "main.h"



//*****************************************************************************
// Return Values:
//	0	= success, fd is valid and >= 0
//	<0  = failure, value is -errno or -GetLastError (Windows only), fd is -1
//	>0	= never returned
int hsdi4ao4_open(int device, int share, int* fd)
{
	int	ret;

	ret	= gsc_api_open(device, share, fd, HSDI4AO4_BASE_NAME);
	return(ret);
}


