#include <stdio.h>

#include "16hsdi4ao4_dsl.h"

int hsdi4ao4_write_dsl(int fd, const void* src, size_t bytes, size_t* qty)
{
	int	errs;
	int	ret;

	ret	= hsdi4ao4_write(fd, src, bytes);

	if (ret < 0)
		printf("ERROR: hsdi4ao4_write() returned %d\n", ret);

	if (qty)
		qty[0]	= (ret < 0) ? 0 : (size_t) ret;

	errs	= (ret < 0) ? 1 : 0;
	return(errs);
}