// $URL: http://subversion:8080/svn/gsc/trunk/drivers/LINUX/16HSDI4AO4/include/16hsdi4ao4_api.h $
// $Rev: 49709 $
// $Date: 2021-10-01 17:04:45 -0500 (Fri, 01 Oct 2021) $

// 16HSDI4AO4: API Library: header file

#ifndef	__16HSDI4AO4_API_H__
#define	__16HSDI4AO4_API_H__

#include <stdlib.h>

#include "16hsdi4ao4.h"



// prototypes *****************************************************************

int	hsdi4ao4_close(int fd);
int	hsdi4ao4_init(void);
int	hsdi4ao4_ioctl(int fd, int request, void *arg);
int	hsdi4ao4_open(int device, int share, int* fd);
int	hsdi4ao4_read(int fd, void* dst, size_t bytes);
int	hsdi4ao4_write(int fd, const void* src, size_t bytes);



#endif
